package com.bonus.gs.sub.evaluate.manager.service;

import com.bonus.gs.sub.evaluate.manager.entity.UserDto;
import com.bonus.gs.sub.evaluate.manager.model.SysUser;
import com.bonus.gs.sub.evaluate.manager.utils.AjaxRes;

public interface UserService {

	SysUser saveUser(UserDto userDto);

	SysUser updateUser(UserDto userDto);

	SysUser getUser(String username);

	void changePassword(String username, String oldPassword, String newPassword);

	int getUserCount(String username);

    AjaxRes changePassWord(UserDto userDto);
}
